## BtSongIONativeBZT BtSongIONativeBZT — class for song input and output in builtin native format |

## Functions

gboolean | bt_song_io_native_bzt_copy_from_uri ()
gboolean | bt_song_io_native_bzt_copy_to_fd ()

## Types and Values

struct | BtSongIONativeBZT
struct | BtSongIONativeBZTClass

## Object Hierarchy

        GObject
        ╰── BtSongIO
            ╰── BtSongIONative
                ╰── BtSongIONativeBZT

## Includes

    #include <libbtcore/core.h>

## Description

This internal BtSongIONative module implements loading and saving of an own xml format with externals. The format is an archive, that contains an XML file and optionally binary data, such as audio samples.

## Functions

### bt_song_io_native_bzt_copy_from_uri ()

    gboolean
    bt_song_io_native_bzt_copy_from_uri (const BtSongIONativeBZT * const self,
                                         const gchar *file_name,
                                         const gchar *uri);

Copies the file specified by `uri` to `file_name` into the song file.

This is a helper for BtSong persistence.

#### Parameters

self | the song-plugin |
file_name | the path to the file inside the song |
uri | location of the source file |

#### Returns

`TRUE` on success

### bt_song_io_native_bzt_copy_to_fd ()

    gboolean
    bt_song_io_native_bzt_copy_to_fd (const BtSongIONativeBZT * const self,
                                      const gchar *file_name,
                                      gint fd);

Copies the file specified by `file_name` from the song file to the `fd` .

This is a helper for BtSong persistence.

#### Parameters

self | the song-plugin |
file_name | the path to the file inside the song |
fd | a file-descriptor of an opened file to copy `file_name` to |

#### Returns

`TRUE` on success

## Types and Values

### struct BtSongIONativeBZT

    struct BtSongIONativeBZT;

object for song input and output in native zip/xml format

### struct BtSongIONativeBZTClass

    struct BtSongIONativeBZTClass {
      const BtSongIONativeClass parent;
    };

Class for song input and output in native zip/xml format

#### Members

const BtSongIONativeClass `parent`; | parent class type |